#include <stm32f10x.h>
#include "usart.h"
#include "timer.h"
#include "gps.h"

//define in gps.c
extern u8 GPS_BUF[RX_BUFFER_SIZE];	
extern vu16 GPSMSG_FLAG;						
extern vu16 GPSMSG_INDEX;						
extern vu8 GPS_DEBUG;							

u8 GPS_SEND_BUF[RX_BUFFER_SIZE]; 		
nmea_msg gpsx; 										

int main(void)
{
	u16 i,len;
	SystemInit();
	
	usart_Configuration(9600,9600);
	Timer7_Configuration(1999, 7199); 
  
	while(1)
	{	
		if(GPSMSG_FLAG)					
		{
			len=GPSMSG_INDEX;		
			for(i=0;i<len;i++)GPS_SEND_BUF[i]=GPS_BUF[i];	   
 
			GPSMSG_INDEX = 0;			
			GPSMSG_FLAG=0;		   	
			GPS_SEND_BUF[i]=0;
			
			GPSMSG_Analysis(&gpsx,(u8*)GPS_SEND_BUF);
			if (0 == GPS_DEBUG)
				printf("%s",GPS_SEND_BUF);
			if (1 == GPS_DEBUG)
			Send_NMEA_MSG(&gpsx);
 		}
	}
}
