#include "timer.h"

void Timer7_Configuration(u16 arr, u16 psc)
{	
	  TIM_TimeBaseInitTypeDef  TIM_TimeBaseStructure;		
		NVIC_InitTypeDef NVIC_InitStructure; 
		RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM7, ENABLE);

		TIM_TimeBaseStructure.TIM_Prescaler =	psc; 		
		TIM_TimeBaseStructure.TIM_CounterMode = TIM_CounterMode_Up;  
		TIM_TimeBaseStructure.TIM_Period = arr; 		
		TIM_TimeBaseStructure.TIM_ClockDivision = TIM_CKD_DIV1; 
		TIM_TimeBaseInit(TIM7, &TIM_TimeBaseStructure);

		NVIC_InitStructure.NVIC_IRQChannel = TIM7_IRQn;
		NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority=0x01 ;
		NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x01;		
		NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;					
		NVIC_Init(&NVIC_InitStructure);	

 		TIM_ITConfig(TIM7,TIM_IT_Update,ENABLE );
 		TIM_Cmd(TIM7, ENABLE); 				
}

void TIM7_Set(u8 mode)
{
	if (mode)
	{
			TIM_SetCounter(TIM7, 0); 
			TIM_Cmd(TIM7, ENABLE);		
	}
	else
	{
			TIM_Cmd(TIM7, DISABLE);  
	}
}

